import { Context } from "../context/context";
import { Vector3 } from "three";
import { BaseSvg } from './base-svg';
interface SvgLineEventMap {
    'distance': {
        distance: number;
    };
}
export declare class SvgLine extends BaseSvg<SvgLineEventMap> {
    context: Context;
    circles: SVGElement[];
    line: SVGElement;
    constructor(context: Context);
    setEnable(enable: boolean): void;
    registryEvent(): void;
    unRegistryEvent(): void;
    onUpdate: () => void;
    onPointermove: (e: PointerEvent) => void;
    onPointerleave: () => void;
    onPointerdown: (e: PointerEvent) => void;
    addPoint(vector: Vector3): void;
    /**
     * 计算两个点之间的距离
     */
    calculatedDistance(): number;
    dispose(): void;
}
export {};
